### Method

# GLib VariantType dup_string

#### Declaration

    gchar*
    g_variant_type_dup_string (
      const GVariantType* type
    )

#### Description

Returns a newly-allocated copy of the type string corresponding to `type`. The returned string is nul-terminated. It is appropriate to call `g_free()` on the return value.

#### Return value

Type: `gchar*`

The corresponding type string

Since 2.24.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.